aboutsummaryrefslogtreecommitdiffstats
path: root/.ci/check-cla-for-multiple-commits.sh
diff options
context:
space:
mode:
authorSylvain Desbureaux <sylvain.desbureaux@orange.com>2021-12-08 12:59:32 +0100
committerSylvain Desbureaux <sylvain.desbureaux@orange.com>2021-12-14 08:49:03 +0000
commitd035a0a5fea7bf94cab1b1d6816c61febdfb8eb6 (patch)
tree2acfee29c3f3ad76b0ad6661b42efa1a548ac831 /.ci/check-cla-for-multiple-commits.sh
parentd09f363e87c98d19ba2fccdf8f235d5cbfb908ee (diff)
[GLOBAL] Move to Gitlab
Add all necessary files in order to move OOM repo to gitlab and also uses gitlab-ci features. Issue-ID: OOM-1 Signed-off-by: Sylvain Desbureaux <sylvain.desbureaux@orange.com> Change-Id: Ie3ba8d22828b103219d590886a8c58825eff2eef
Diffstat (limited to '.ci/check-cla-for-multiple-commits.sh')
-rwxr-xr-x.ci/check-cla-for-multiple-commits.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/.ci/check-cla-for-multiple-commits.sh b/.ci/check-cla-for-multiple-commits.sh
new file mode 100755
index 0000000000..13927d9a7d
--- /dev/null
+++ b/.ci/check-cla-for-multiple-commits.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+# Copyright © 2021 Orange
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -eu
+
+git fetch origin
+
+echo "<------------- AUTHORS LIST ------------->"
+# We are always running on a merge request
+COMMON_ANCESTOR=$(git merge-base HEAD origin/master)
+git log --format=%ae "$COMMON_ANCESTOR..HEAD" | sort | uniq
+echo "<---------------------------------------->"